<?php
/**
* @package     mod_eac_carian_pegawai
* @author      Ammar Idris, https:ammaridris.com
* @copyright   Copyright (C) 2024 elAmm Creative Solutions. All rights reserved.
* @license     GNU General Public License version 2 or later.
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;

//Get Itemid
$app = JFactory::getApplication();

$inp_nama = preg_replace('/[^A-Za-z0-9 ]/', '', $_REQUEST['nama']);
$bind_nama = '%'.$_REQUEST['nama'].'%';
$tmp_nama = $_REQUEST['nama'];

function highlightkeyword($tmp_nama, $search) {
    $occurrences = substr_count(strtolower($tmp_nama), strtolower($search));
    $newstring = $tmp_nama;
    $match = array();

    for ($i=0;$i<$occurrences;$i++) {
        $match[$i] = stripos($tmp_nama, $search, $i);
        $match[$i] = substr($tmp_nama, $match[$i], strlen($search));
        $newstring = str_replace($match[$i], '[#]'.$match[$i].'[@]', strip_tags($newstring));
    }

    $newstring = str_replace('[#]', '<mark>', $newstring);
    $newstring = str_replace('[@]', '</mark>', $newstring);
    return $newstring;
}

if(!empty($inp_nama)) {

$db = Factory::getContainer()->get('DatabaseDriver');
$query = $db->getQuery(true);
$query->select($db->quoteName(['a.name','a.alias','a.con_position','a.address','a.telephone','a.email_to','a.image','c.title','c.id']));
$query->from($db->quoteName('#__contact_details', 'a'));
$query->join('LEFT', $db->quoteName('#__categories', 'c') . ' ON (' . $db->quoteName('a.catid') . ' = ' . $db->quoteName('c.id') . ')');
$query->where($db->quoteName('name') . ' LIKE :name');
$query->bind(':name', $bind_nama);

$db->setQuery($query);
$results = $db->loadObjectList();
$rows = $db->loadObjectList();
}
?>

<!-- UIkit DND -->
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/uikit@3.21.16/dist/css/uikit.min.css" />
<script src="https://cdn.jsdelivr.net/npm/uikit@3.21.16/dist/js/uikit.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/uikit@3.21.16/dist/js/uikit-icons.min.js"></script>

<form class="uk-grid-small" uk-grid method="post">
	<div class="uk-width-3-4">
		<input class="uk-input" name="nama" type="text" placeholder="<?php echo JText::_( 'COM_CONTACT_NAMA_PEG' ); ?>" value="<?php echo $inp_nama; ?>" required>
	</div>
	<div class="uk-width-1-4">
		<button class="uk-button uk-button-default" name="search"><?php echo JText::_( 'COM_CONTACT_CARI' ); ?></button>
    <a href="index.php?Itemid=<?php echo $app->getMenu()->getActive()->id; ?>" class="uk-button"> Reset</a>
	</div>
</form>

<?php if(!empty($rows)) { ?>
<div class="uk-child-width-1-1 uk-grid-medium uk-grid-match uk-grid uk-grid-stack" uk-grid="">
<?php foreach($rows as $rows) { ?>

<div class="uk-grid-margin uk-first-column">
    <div class="el-item uk-card uk-card-default uk-card-small uk-card-body uk-margin-remove-first-child">
      <div class="uk-child-width-expand uk-flex-middle uk-grid" uk-grid="">
        <div class="uk-width-auto@s uk-first-column"> <img class="el-image uk-border-rounded uk-img-direktori" alt="<?php echo $rows->name; ?>" width="130" height="130" src="<?php echo $rows->image; ?>"> </div>
        <div class="uk-margin-remove-first-child">
          <h3 class="el-title uk-h4 uk-margin-top uk-margin-remove-bottom"><?php echo highlightkeyword($rows->name, $tmp_nama); ?></h3>
          
          <div class="el-meta">
              <?php echo $rows->con_position; ?>
              <br /><a href="index.php?option=com_contact&view=category&id=<?php echo $rows->id; ?>&Itemid=<?php echo $app->getMenu()->getActive()->parent_id; ?>"><?php echo $rows->title; ?></a>
              <br /><?php echo $rows->address; ?>
              </div>
          
          <div class="el-content uk-panel uk-margin-top"><?php echo Text::_('COM_CONTACT_TELEPHONE'); ?> : <?php echo $rows->telephone; ?></div>
          <div class="el-content uk-panel"><?php echo Text::_('COM_CONTACT_EMAIL_LABEL'); ?> : <?php echo str_replace("@","[at]",$rows->email_to); ?></div>
          
        </div>
      </div>
    </div>
  </div>

<?php } ?>
</div>
<?php } ?>

<?php if((!empty($inp_nama)) && (empty($rows))) { ?>
<div class="uk-alert uk-alert-danger uk-text-bold uk-animation-shake">
	<div class="el-content uk-panel uk-display-inline uk-text-middle">
		<p><?php echo JText::_('COM_CONTACT_NO_CONTACTS'); ?></p>
	</div>
</div>
<?php } ?>